# Class RWSSocket`Abstract`

#### Implements

- ITheSocket

- Defined in src/sockets/_socket.ts:12

#####
Index

### Constructors

constructor

### Properties

server

### Methods

emitMessage
getJson
handleConnection
middlewareImplementation?
sendJson

## Constructors

### constructor

- new RWSSocket(server): RWSSocket

- #### Parameters

  - ##### server: RWSServer

  #### Returns RWSSocket

  - Defined in src/sockets/_socket.ts:15

## Properties

### `Protected` server

server: any

- Defined in src/sockets/_socket.ts:13

## Methods

### emitMessage

- emitMessage<T>(method, socket, data?): void

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### method: string

  - ##### socket: Socket<DefaultEventsMap, DefaultEventsMap, DefaultEventsMap, any>

  - ##### data: T = null

  #### Returns void

  - Defined in src/sockets/_socket.ts:37

### getJson

- getJson(input): any

- #### Parameters

  - ##### input: string

  #### Returns any

  - Defined in src/sockets/_socket.ts:26

### handleConnection

- handleConnection(socket, routeName): Socket<DefaultEventsMap, DefaultEventsMap, DefaultEventsMap, any>

- #### Parameters

  - ##### socket: Socket<DefaultEventsMap, DefaultEventsMap, DefaultEventsMap, any>

  - ##### routeName: string

  #### Returns Socket<DefaultEventsMap, DefaultEventsMap, DefaultEventsMap, any>

  Implementation of ITheSocket.handleConnection

  - Defined in src/sockets/_socket.ts:19

### `Optional` middlewareImplementation

- middlewareImplementation(next): void

- #### Parameters

  - ##### next: any

  #### Returns void

  Implementation of ITheSocket.middlewareImplementation

  - Defined in src/sockets/_socket.ts:22

### sendJson

- sendJson(input): string

- #### Parameters

  - ##### input: object

  #### Returns string

  - Defined in src/sockets/_socket.ts:32

Generated using TypeDoc